use crate::types::{filter::TagValue, Id, Kind};

#[derive(Debug, Clone, PartialEq, Eq, Hash, PartialOrd, Ord)]
/// Events can be indexed by different fields.
///
/// This index is a multi-value index, meaning that it can be indexed by multiple fields
pub enum Index {
    /// Author ID
    Author(Id),
    /// Note ID
    Id(Id),
    /// Note Kind
    Kind(Kind),
    /// Tag
    Tag(String, TagValue),
    /// A catch-all index
    Anything,
}
